--freemarker template 
<#if COSTAGE_STORT?exists && COSTAGE_STORT !="">
<#assign inlineTemplate=COSTAGE_STORT?interpret />
<@inlineTemplate/>
</#if>



delete from costage_st_studiengaenge;

insert into costage_st_studiengaenge(
 st_studiengang_nr,
       studiengangs_identifikator,
       studiengangs_bezeichnung,
       st_absz_nr,
       st_skz_nr,
       fachkennzeichen,
       st_std_art_nr,
       studiengangs_typ_name,
       studiengangs_typ_kb,
       studientyp_name,
       studientyp_kb,
       stp_stp_nr)
       select 
st_studiengang_nr,
       studiengangs_identifikator,
       studiengangs_bezeichnung,
       st_absz_nr,
       st_skz_nr,
       fachkennzeichen,
       st_std_art_nr,
       studiengangs_typ_name,
       studiengangs_typ_kb,
       studientyp_name,
       studientyp_kb,
       stp_stp_nr
       from costage_st_studiengaenge_neu
;

--transformiere Fach/Abschluss etc. nach SuperX Notation
--Fach:
update costage_st_studiengaenge set skz_key=SKZ.skz_key
<#if stort?exists>
,stort_nr=SKZ.unikey
</#if>
from costage_st_studienkennzahlen SKZ
where SKZ.st_skz_nr=costage_st_studiengaenge.st_skz_nr;
--Abschluss:
update costage_st_studiengaenge set abschluss=A.code
from costage_st_abschlussziele_lokal A
where A.st_absz_nr=costage_st_studiengaenge.st_absz_nr;

--pversion/rsz
update costage_st_studiengaenge set pversion=P.po_stp_stp_version_kb,
rsz=P.po_regelstudienzeit
from costage_st_studien_spoversionen P, costage_st_studien S
where S.st_studium_nr = P.st_studium_nr
and S.st_studiengang_nr=costage_st_studiengaenge.st_studiengang_nr
--paßt nicht zusammen: and P.stp_stp_nr=costage_st_studiengaenge.stp_stp_nr
;

--Standorte name:

<#if stort?exists>
<#foreach st in stort>
update costage_st_studiengaenge set stort_name='${st.name}'
where stort_nr='${st.nr}';
</#foreach>
</#if>

